-- Campaign screen layout

function start()
  Add(4, 7.5, Peg.Level, 0, "missions/basic1", "Początek")
  Add(8, 7.5, Peg.Level, 1, "missions/basic2", "Bariera")
  Add(12, 7.5, Peg.Level, 2, "missions/basic3", "Klucz")
  Add(16, 7.5, Peg.Level, 3, "missions/basic4", "Wzlot")
  Add(6, 11, Peg.Level, 3, "missions/basic5", "Skrzynie")
  Add(10, 11, Peg.Page, 5, "wood", "Las")
  Add(14, 11, Peg.Level, 5, "missions/basic6", "Cel")

  Add(4, 4, Peg.Back)
  Add(8, 4, Peg.Book, 0, "primer", "Poradnik")
  Add(12, 4, Peg.Book, 0, "credits-small", "Tytuły")
  Add(16, 4, Peg.Page, 14, "skip", "Wybór poziomu")

  return { bg = {0.1, 0.04, 0.45} }
end

function wood()
  Add(8, 3, Peg.Level, 5, "missions/wood1", "Podróż")
  Add(12, 3, Peg.Level, 6, "missions/wood2", "Reset")
  Add(16, 3, Peg.Level, 7, "missions/wood3", "Krawędzie")
  Add(6, 6, Peg.Level, 7, "missions/wood4", "Pułapka")
  Add(10, 6, Peg.Level, 8, "missions/wood5", "Bezpieczny")
  Add(14, 6, Peg.Level, 9, "missions/wood6", "Doły")
  Add(4, 9, Peg.Level, 10, "missions/wood7", "Niezręczność")
  Add(8, 9, Peg.Level, 11, "missions/wood8", "Sytuacja")
  Add(12, 9, Peg.Level, 12, "missions/wood9", "Pętla")
  Add(16, 9, Peg.Level, 13, "missions/wood10", "Węzeł")
  Add(6, 12, Peg.Page, 14, "sewer", "Kanalizacja")
  Add(10, 12, Peg.Level, 15, "missions/wood11", "Perspektywa")
  Add(14, 12, Peg.Level, 16, "missions/wood12", "Bardziej bezpieczny")

  Add(4, 3, Peg.Back)

  return { bg = {0.2, 0.4, 0.2} }
end

function sewer()
  Add(8, 6, Peg.Level, 14, "missions/sewer1", "Powódź")
  Add(12, 6, Peg.Level, 15, "missions/sewer2", "Osuszenie")
  Add(6, 9, Peg.Level, 16, "missions/sewer3", "Basen")
  Add(10, 9, Peg.Level, 17, "missions/sewer4", "Powtórz")
  Add(14, 9, Peg.Level, 18, "missions/sewer5", "Kłódka")
  Add(4, 12, Peg.Level, 19, "missions/sewer6", "Wir")
  Add(8, 12, Peg.Page, 20, "castle", "Podziemia")
  Add(12, 12, Peg.Level, 21, "missions/sewer7", "Przestaw")
  Add(16, 12, Peg.Level, 22, "missions/sewer8", "Przeniknij")

  Add(10, 3, Peg.Back)

  return { bg = {0.15, 0.35, 0.5} }
end

function castle()
  Add(6, 5.5, Peg.Level, 20, "missions/basement1", "Zieleń")
  Add(9, 4.5, Peg.Level, 21, "missions/basement2", "Weź ze sobą")
  Add(12, 3.5, Peg.Level, 22, "missions/basement3", "Stos")
  Add(6, 9.5, Peg.Level, 23, "missions/basement4", "Sięgnij")
  Add(9, 8.5, Peg.Level, 24, "missions/basement5", "Cela")
  Add(12, 7.5, Peg.Level, 25, "missions/basement6", "Pusto")
  Add(15, 6.5, Peg.Level, 26, "missions/basement7", "Najbezpieczniejszy")
  Add(9, 12.5, Peg.Level, 27, "missions/basement8", "Śluza")
  Add(12, 11.5, Peg.Page, 28, "villa", "Ruiny")
  Add(15, 10.5, Peg.Level, 29, "missions/basement9", "Strych")
  Add(18, 9.5, Peg.Level, 30, "missions/basement10", "Przeszkoda")

  Add(3, 6.5, Peg.Back)

  return { bg = {0.3, 0.15, 0.25} }
end

function villa()
  Add(6, 3, Peg.Level, 28, "missions/garden1", "Wpadka")
  Add(9, 3, Peg.Level, 29, "missions/garden2", "Most")
  Add(6, 6, Peg.Level, 30, "missions/garden3", "Kwas")
  Add(9, 6, Peg.Level, 31, "missions/garden4", "Blokada")
  Add(12, 6, Peg.Level, 32, "missions/garden5", "Informacje zwrotne")
  Add(9, 9, Peg.Level, 33, "missions/garden6", "Wanna")
  Add(12, 9, Peg.Level, 34, "missions/garden7", "Osadzone")
  Add(15, 9, Peg.Level, 35, "missions/garden8", "Kolumna")
  Add(12, 12, Peg.Page, 36, "temple", "Świątynia")
  Add(15, 12, Peg.Level, 37, "missions/garden9", "Bagno")
  Add(18, 12, Peg.Level, 38, "missions/garden10", "Splot")

  Add(3, 3, Peg.Back)

  return { bg = {0.7, 0.65, 0.75} }
end

function temple()
  Add(10, 3, Peg.Level, 36, "missions/temple1", "Szczelina")
  Add(14, 3, Peg.Level, 37, "missions/temple2", "Kontynuuj")
  Add(4, 6, Peg.Level, 38, "missions/temple3", "Stałość")
  Add(8, 6, Peg.Level, 39, "missions/temple4", "Przebudowa")
  Add(12, 6, Peg.Level, 40, "missions/temple5", "Słój")
  Add(16, 6, Peg.Level, 41, "missions/temple6", "Zbuduj")
  Add(6, 9, Peg.Level, 42, "missions/temple7", "Wewnętrzne")
  Add(10, 9, Peg.Level, 43, "missions/temple8", "Splatać")
  Add(14, 9, Peg.Level, 44, "missions/temple9", "Zacisk")
  Add(4, 12, Peg.Level, 45, "missions/temple10", "Obejście")
  Add(8, 12, Peg.Page, 48, "dark", "Nicość")
  Add(12, 12, Peg.Level, 49, "missions/temple11", "Wodowstrętny")
  Add(16, 12, Peg.Level, 50, "missions/temple12", "Bąbel")

  Add(6, 3, Peg.Back)

  return { bg = {0.65, 0.45, 0.1} }
end

function dark(complete)
  local x = 0.86602540378;
  Add(10, 3.5, Peg.Level, 48, "missions/dark1", "Ścisnąć")
  Add(10 + 4 * x, 5.5, Peg.Level, 50, "missions/dark2", "Droga-podróż")
  Add(10 + 4 * x, 9.5, Peg.Level, 52, "missions/dark3", "Ładunek")
  Add(10, 11.5, Peg.Level, 54, "missions/dark4", "Ołtarz")
  Add(10 - 4 * x, 9.5, Peg.Level, 56, "missions/dark5", "Tylko gorzej")
  Add(10 - 4 * x, 5.5, Peg.Level, 58, "missions/dark6", "Trylemat")

  if complete then
    Add(17.5, 7.5, Peg.Book, 0, "credits-full", "Koniec")
  end
  Add(10, 7.5, Peg.Back)

  return { bg = {0.1, 0.0, 0.1} }
end

function skip()
  Add(10, 11, Peg.Back)
  Add(4, 10, Peg.Page, 5, "wood", "Las")
  Add(5, 6.5, Peg.Page, 14, "sewer", "Kanalizacja")
  Add(8, 4, Peg.Page, 20, "castle", "Podziemia")
  Add(12, 4, Peg.Page, 28, "villa", "Ruiny")
  Add(15, 6.5, Peg.Page, 36, "temple", "Świątynia")
  Add(16, 10, Peg.Page, 48, "dark", "Nicość")

  Add(6, 13, Peg.Hub, 28, "dlc", "Zagatka Ubleka")

  return { bg = {0.4, 0.0, 0.0} }
end

